LOLCAT(6)

NAME
lolcat - rainbow coloring effect for text console display

SYNOPSIS
lolcat [options] [files] ...

DESCRIPTION
This manual page documents briefly the lolcat command.

lolcat is a program that concatenates files, or standard input, to standard output (like the generic cat), and adds rainbow coloring to it.

OPTIONS

-p X, --spread=X
    Inclination of the rainbow stripes
    (character widths per line hight; high values (>1000) give almost horizonal stripes, low values (0.1) almost vertical ones; default: 3.0).

-F X, --freq=X
    Frequency of the rainbow effect.
    (low values around 0.0001 give almost monochromous screens; default: 0.1).

-S X, --seed=X
    Initial value for the random number generator; 0 means automatic.
    (default: 0).

-a, --animate
    Fade every line through an animation before printing the next one.

-d X, --duration=X
    Duration of the animation.
    (number of steps before showing next line; default: 12)

-s X, --speed=X
    Speed of the animation.
    (frame rate, ie. number of steps per second; default: 20)

-i, --invert
    Inverts the background and foreground colors.

-t, --truecolor
    Enables 24-bit truecolor mode.

-f, --force
    Force color even when stdout is not a tty.

-v, --version
    Shows lolcat version.

-h, --help
    Shows options summary.

EXAMPLES
Typical combinations of lolcat include other programs that generate text:
Large colorful words can be written like this:

        echo "KTHXBAI" | toilet | lolcat

Cows are popular, come in all colors, and tell random epigrams:

        fortune | cowsay | lolcat -a

SEE ALSO
cat(1), toilet(1), fortune(6), cowsay(6)

AUTHOR
lolcat was written by Moe <moe@busyloop.net>.

This manual page was originally written by chrysn <chrysn@fsfe.org>, for the Debian project.
Very quickly revamped by Mathieu Aubin <mathieu@zeroserieux.com> to include as part of official code repository.